/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/




#include	"long_char.h"


int
wct_check(WCT * w,L_CHAR ch)
{
WRITABLE_CODE_TABLE * t;
	t = get_wct(w,ch);
	if ( t == 0 )
		return -1;
	if ( t->tbl[(~t->mask)&ch] )
		return 0;
	return -1;
}
